DefaultStatementProvider (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class DefaultStatementProvider

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider

All Implemented Interfaces:
  StatementProvider

Direct Known Subclasses:
  HsqldbJDBCAdapter.HSQLStatementProvider

public class DefaultStatementProvider
extends Object
implements StatementProvider

Version:
  $Revision: 1.6 $

Field Summary
`protected String` | `binaryDataType`
`protected String` | `containerNameDataType`
`protected String` | `durableSubAcksTableName`
`protected String` | `messageTableName`
`protected String` | `msgIdDataType`
`protected String` | `sequenceDataType`
`protected String` | `stringIdDataType`
`protected String` | `subscriptionIdDataType`
`protected String` | `tablePrefix`
`protected String` | `txTableName`
`protected String` | `xidDataType`

Constructor Summary
`DefaultStatementProvider()`

Method Summary
`String` | `getAddMessageStatment()`
`String` | `getAddXidStatment()`
`String` | `getBinaryDataType()`
`String` | `getContainerNameDataType()`
`String` | `getCreateDurableSubStatment()`
`String[]` | `getCreateSchemaStatments()`
`String[]` | `getDropSchemaStatments()`
`String` | `getDurableSubAcksTableName()`
`String` | `getFindAllDurableSubMessagesStatment()`
`String` | `getFindAllMessagesStatment()`
`String` | `getFindAllTxStatment()`
`String` | `getFindAllXidStatment()`
`String` | `getFindDurableSubStatment()`
`String` | `getFindLastSequenceId()`
`String` | `getFindMessageSequenceIdStatment()`
`String` | `getFindMessageStatment()`
`String` | `getFindXidStatment()`
`String` | `getMessageTableName()`
`String` | `getMsgIdDataType()`
`String` | `getRemoveMessageStatment()`
`String` | `getRemoveXidStatment()`
`String` | `getSequenceDataType()`
`String` | `getSubscriptionIdDataType()`
`String` | `getTablePrefix()`
`String` | `getTxTableName()`
`String` | `getUpdateDurableSubStatment()`
`String` | `getUpdateLastAckOfDurableSub()`
`String` | `getUpdateMessageStatment()`
`String` | `getUpdateXidStatment()`
`String` | `getXidDataType()`
`void` | `setBinaryDataType(String messageDataType)`
`void` | `setContainerNameDataType(String containerNameDataType)`
`void` | `setDurableSubAcksTableName(String durableSubAcksTableName)`
`void` | `setMessageTableName(String messageTableName)`
`void` | `setMsgIdDataType(String msgIdDataType)`
`void` | `setSequenceDataType(String sequenceDataType)`
`void` | `setSubscriptionIdDataType(String subscriptionIdDataType)`
`void` | `setTablePrefix(String tablePrefix)`
`void` | `setTxTableName(String txTableName)`
`void` | `setXidDataType(String xidDataType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tablePrefix

    protected String tablePrefix

### messageTableName

    protected String messageTableName

### txTableName

    protected String txTableName

### durableSubAcksTableName

    protected String durableSubAcksTableName

### binaryDataType

    protected String binaryDataType

### containerNameDataType

    protected String containerNameDataType

### xidDataType

    protected String xidDataType

### msgIdDataType

    protected String msgIdDataType

### subscriptionIdDataType

    protected String subscriptionIdDataType

### sequenceDataType

    protected String sequenceDataType

### stringIdDataType

    protected String stringIdDataType

Constructor Detail

### DefaultStatementProvider

    public DefaultStatementProvider()

Method Detail

### getCreateSchemaStatments

    public String[] getCreateSchemaStatments()

  Specified by:
    `getCreateSchemaStatments` in interface `StatementProvider`

### getDropSchemaStatments

    public String[] getDropSchemaStatments()

  Specified by:
    `getDropSchemaStatments` in interface `StatementProvider`

### getAddMessageStatment

    public String getAddMessageStatment()

  Specified by:
    `getAddMessageStatment` in interface `StatementProvider`

### getUpdateMessageStatment

    public String getUpdateMessageStatment()

  Specified by:
    `getUpdateMessageStatment` in interface `StatementProvider`

### getRemoveMessageStatment

    public String getRemoveMessageStatment()

  Specified by:
    `getRemoveMessageStatment` in interface `StatementProvider`

### getFindMessageSequenceIdStatment

    public String getFindMessageSequenceIdStatment()

  Specified by:
    `getFindMessageSequenceIdStatment` in interface `StatementProvider`

### getFindMessageStatment

    public String getFindMessageStatment()

  Specified by:
    `getFindMessageStatment` in interface `StatementProvider`

### getFindAllMessagesStatment

    public String getFindAllMessagesStatment()

  Specified by:
    `getFindAllMessagesStatment` in interface `StatementProvider`

### getFindLastSequenceId

    public String getFindLastSequenceId()

  Specified by:
    `getFindLastSequenceId` in interface `StatementProvider`

### getAddXidStatment

    public String getAddXidStatment()

  Specified by:
    `getAddXidStatment` in interface `StatementProvider`

### getUpdateXidStatment

    public String getUpdateXidStatment()

  Specified by:
    `getUpdateXidStatment` in interface `StatementProvider`

### getRemoveXidStatment

    public String getRemoveXidStatment()

  Specified by:
    `getRemoveXidStatment` in interface `StatementProvider`

### getFindXidStatment

    public String getFindXidStatment()

  Specified by:
    `getFindXidStatment` in interface `StatementProvider`

### getFindAllXidStatment

    public String getFindAllXidStatment()

  Specified by:
    `getFindAllXidStatment` in interface `StatementProvider`

### getFindAllTxStatment

    public String getFindAllTxStatment()

  Specified by:
    `getFindAllTxStatment` in interface `StatementProvider`

### getCreateDurableSubStatment

    public String getCreateDurableSubStatment()

  Specified by:
    `getCreateDurableSubStatment` in interface `StatementProvider`

### getUpdateDurableSubStatment

    public String getUpdateDurableSubStatment()

  Specified by:
    `getUpdateDurableSubStatment` in interface `StatementProvider`

### getFindDurableSubStatment

    public String getFindDurableSubStatment()

  Specified by:
    `getFindDurableSubStatment` in interface `StatementProvider`

### getUpdateLastAckOfDurableSub

    public String getUpdateLastAckOfDurableSub()

  Specified by:
    `getUpdateLastAckOfDurableSub` in interface `StatementProvider`

### getFindAllDurableSubMessagesStatment

    public String getFindAllDurableSubMessagesStatment()

  Specified by:
    `getFindAllDurableSubMessagesStatment` in interface `StatementProvider`

### getContainerNameDataType

    public String getContainerNameDataType()

  Returns:
    Returns the containerNameDataType.

### setContainerNameDataType

    public void setContainerNameDataType(String containerNameDataType)

  Parameters:
    `containerNameDataType` - The containerNameDataType to set.

### getBinaryDataType

    public String getBinaryDataType()

  Returns:
    Returns the messageDataType.

### setBinaryDataType

    public void setBinaryDataType(String messageDataType)

  Parameters:
    `messageDataType` - The messageDataType to set.

### getMessageTableName

    public String getMessageTableName()

  Returns:
    Returns the messageTableName.

### setMessageTableName

    public void setMessageTableName(String messageTableName)

  Parameters:
    `messageTableName` - The messageTableName to set.

### getMsgIdDataType

    public String getMsgIdDataType()

  Returns:
    Returns the msgIdDataType.

### setMsgIdDataType

    public void setMsgIdDataType(String msgIdDataType)

  Parameters:
    `msgIdDataType` - The msgIdDataType to set.

### getSequenceDataType

    public String getSequenceDataType()

  Returns:
    Returns the sequenceDataType.

### setSequenceDataType

    public void setSequenceDataType(String sequenceDataType)

  Parameters:
    `sequenceDataType` - The sequenceDataType to set.

### getTablePrefix

    public String getTablePrefix()

  Returns:
    Returns the tablePrefix.

### setTablePrefix

    public void setTablePrefix(String tablePrefix)

  Parameters:
    `tablePrefix` - The tablePrefix to set.

### getTxTableName

    public String getTxTableName()

  Returns:
    Returns the txTableName.

### setTxTableName

    public void setTxTableName(String txTableName)

  Parameters:
    `txTableName` - The txTableName to set.

### getXidDataType

    public String getXidDataType()

  Returns:
    Returns the xidDataType.

### setXidDataType

    public void setXidDataType(String xidDataType)

  Parameters:
    `xidDataType` - The xidDataType to set.

### getDurableSubAcksTableName

    public String getDurableSubAcksTableName()

  Returns:
    Returns the durableSubAcksTableName.

### setDurableSubAcksTableName

    public void setDurableSubAcksTableName(String durableSubAcksTableName)

  Parameters:
    `durableSubAcksTableName` - The durableSubAcksTableName to set.

### getSubscriptionIdDataType

    public String getSubscriptionIdDataType()

  Returns:
    Returns the subscriptionIdDataType.

### setSubscriptionIdDataType

    public void setSubscriptionIdDataType(String subscriptionIdDataType)

  Parameters:
    `subscriptionIdDataType` - The subscriptionIdDataType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.